Bug Hunting Session
Bug 50542 - Multiples issues with Libo when %appdata% special folder is redirected to UNC share path
Summary: Multiples issues with Libo when %appdata% special folder is redirected to UNC...
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.5.0 Beta0
Hardware: x86 (IA32) Windows (All)
: medium critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: regression
: 51663 53288 53928 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-05-31 07:48 UTC by int0x13
Modified: 2016-05-09 20:08 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
Windbg stack trace into the faulting thread into soffice process (!analyze -v) (15.79 KB, text/plain)
2012-06-01 02:16 UTC, int0x13
Details

Note You need to log in before you can comment on or make changes to this bug.
Description int0x13 2012-05-31 07:48:45 UTC
Hello,
Do the following steps to reproduce the issue:


Let's say LibO is installed on the D: drive (D:\LOdev 3.5)


1)Logon into a domain account (roaming profile or local profile do the same), and then redirect the special folder "application data" (%appdata% environnment variable). To do this proceed as this: go into regedit, and then go into this
HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\User Shell Folders
change the key called "AppData", and put here a UNC share path. For ex here i've put this:
\\myserver\users\test123\appdata

But the issue takes place only if the appdata is redirected to UNC path afaik. 

Ok now the appdata special folder is redirected.

Then after that create a blank spreadshit calc file called sample_file.ods (what is inside the .ods file doesn't matter). Copy that file into C: drive, D: and all drive you want.
When you double clic on the sample_file.ods into the explorer from the C: drive it will crash with an exception. It will crash on every drive except the drive where Libo is installed (for me D: drive).

And here is another issue that i've found, here is how to reproduce:

When the appdata directory that is storing the Libo settings is redirected, such as in the last scenario, if you delete the folder that contains Libo settings called for me "LOdev", Libo will refuse to start at next start saying with an error msgbox:

---------------------------
LOdev 3.5 - Fatal Error
---------------------------
The application cannot be started. 
An internal error occurred.
---------------------------
OK   
---------------------------

The Libo folder into appdata is recreated but it wont allow it to run with default settings. It is supposed to recreate the default settings into %appdata% if you delete this folder.
Comment 1 int0x13 2012-06-01 02:10:47 UTC
Here is the windbg report of the exception:

0:000> !analyze -v
*******************************************************************************
*                                                                             *
*                        Exception Analysis                                   *
*                                                                             *
*******************************************************************************

*** ERROR: Symbol file could not be found.  Defaulted to export symbols for LMIRfsClientNP.dll - 
*** WARNING: Unable to verify checksum for synrgyhk.dll
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for synrgyhk.dll - 
*** ERROR: Module load completed but symbols could not be loaded for xpsp2res.dll
*** WARNING: Unable to verify checksum for PowerMenuHook.dll
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for PowerMenuHook.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for xstor.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for xmlsecurity.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for ucpfile1.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for ucbhelper4MSC.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for ucb1.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for sysdtrans.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for stocservices.uno.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for reg3.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for reflection.uno.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for package2.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for msci_uno.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for localedata_others.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for localedata_euro.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for localedata_es.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for localedata_en.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for libxml2.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for libdb47.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for jvmfwk3.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for i18npool.uno.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for fsstorage.uno.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for fileacc.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for dnd.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for cppuhelper3MSC.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for cppu3.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for configmgr.uno.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for bootstrap.uno.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for xolo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for xmlreader.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for xmlfdlo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for xcrlo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for uuilo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for utllo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for unoxmllo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for tllo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for tklo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for svxlo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for svxcorelo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for svtlo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for svllo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for spllo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for sotlo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for sfxlo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for sclo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for scdlo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for sblo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for saxlo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for lnglo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for icuuc44.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for icuin44.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for icudt44.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for i18npaperlo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for fwklo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for fwilo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for fwelo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for foruilo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for forlo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for filterconfiglo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for expwrap.uno.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for editenglo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for drawinglayerlo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for deploymentmisclo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for cppcanvaslo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for comphelpMSC.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for canvastoolslo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for cairo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for basegfxlo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for avmedialo.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for uwinapi.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for store3.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for salhelper3MSC.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for sal3.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for SnacNp.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for localebe1.uno.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for i18nutilMSC.dll - 
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for i18nisolang1MSC.dll - 
*************************************************************************
***                                                                   ***
***                                                                   ***
***    Your debugger is not using the correct symbols                 ***
***                                                                   ***
***    In order for this command to work properly, your symbol path   ***
***    must point to .pdb files that have full type information.      ***
***                                                                   ***
***    Certain .pdb files (such as the public OS symbols) do not      ***
***    contain the required information.  Contact the group that      ***
***    provided you with these symbols if you need this command to    ***
***    work.                                                          ***
***                                                                   ***
***    Type referenced: kernel32!pNlsUserInfo                         ***
***                                                                   ***
*************************************************************************
*************************************************************************
***                                                                   ***
***                                                                   ***
***    Your debugger is not using the correct symbols                 ***
***                                                                   ***
***    In order for this command to work properly, your symbol path   ***
***    must point to .pdb files that have full type information.      ***
***                                                                   ***
***    Certain .pdb files (such as the public OS symbols) do not      ***
***    contain the required information.  Contact the group that      ***
***    provided you with these symbols if you need this command to    ***
***    work.                                                          ***
***                                                                   ***
***    Type referenced: kernel32!pNlsUserInfo                         ***
***                                                                   ***
*************************************************************************

FAULTING_IP: 
+18f952f00bbdf78
00000000 ??              ???

EXCEPTION_RECORD:  00e3dc60 -- (.exr 0xe3dc60)
ExceptionAddress: 7c80bef7 (kernel32!RaiseException+0x00000053)
   ExceptionCode: 00000000
  ExceptionFlags: 00000001
NumberParameters: 0

FAULTING_THREAD:  0000087c

DEFAULT_BUCKET_ID:  STATUS_BREAKPOINT

PROCESS_NAME:  soffice.bin

ERROR_CODE: (NTSTATUS) 0x80000003 - {EXCEPTION}  Point d'arr t  Un point d'arr t a  t  atteint.

EXCEPTION_CODE: (HRESULT) 0x80000003 (2147483651) - Un ou plusieurs arguments sont incorrects

NTGLOBALFLAG:  0

APPLICATION_VERIFIER_FLAGS:  0

CONTEXT:  00e3d980 -- (.cxr 0xe3d980)
eax=00e3dc60 ebx=00e3e250 ecx=021b1c08 edx=3e190025 esi=00000000 edi=5474e1bc
eip=7c80bef7 esp=00e3dc5c ebp=00e3dcb0 iopl=0         nv up ei pl zr na pe nc
cs=001b  ss=0023  ds=0023  es=0023  fs=003b  gs=0000             efl=00000246
kernel32!RaiseException+0x53:
7c80bef7 5e              pop     esi
Resetting default scope

PRIMARY_PROBLEM_CLASS:  STATUS_BREAKPOINT

BUGCHECK_STR:  APPLICATION_FAULT_STATUS_BREAKPOINT

LAST_CONTROL_TRANSFER:  from 4a926917 to 7c80bef7

STACK_TEXT:  
00e3dcb0 4a926917 00000000 00000001 00000000 kernel32!RaiseException+0x53
WARNING: Stack unwind information not available. Following frames may be wrong.
00e3dcec 4a595456 00e3dd08 00000000 1c0560c1 vcllo!WorkWindow::IsMaximized+0xf967
00e3dd2c 4a8fd699 00e3dfd8 1c055cd1 5474e1bc vcllo!Application::Abort+0xc6
00e3e13c 4e2344d6 1c031176 04c76608 00e3e1ac vcllo!Window::~Window+0xe39
00e3e158 4e23446f 04c76608 00e3e180 4b4d1e6c sfxlo!SfxFrame::OpenDocumentSynchron+0x196
00e3e164 4b4d1e6c 00000001 0504880c 0504880c sfxlo!SfxFrame::OpenDocumentSynchron+0x12f
00e3e180 4b508a9d 1c059b20 5474e1bc 00e3e250 tklo!VCLXDevice::DestroyOutputDevice+0x2c
00e3e1b8 545e94d4 05048838 63d85a15 54746360 tklo!VCLXWindow::dispose+0xdd
00e3e25c 545e9d93 0631ba9c 00e3e2c0 00e3e2c4 fwklo!fwk_component_getFactory+0x323b4
00e3e330 545ee01f 0631bac0 00000001 63d85b31 fwklo!fwk_component_getFactory+0x32c73
00e3e378 545ec60f 63d85bed 0631bb30 0506b060 fwklo!fwk_component_getFactory+0x36eff
00e3e3a4 545ab460 0631babc 63d85b91 0631babc fwklo!fwk_component_getFactory+0x354ef
00e3e3d8 545b27a0 63d85cf5 00e3f8d8 4a969380 fwklo+0xab460
00e3e4bc 545ad119 63d85cad 0277095c 02770954 fwklo+0xb27a0
00e3e4e4 545b0138 00000000 63d85e75 064993c0 fwklo+0xad119
00e3e63c 545ac83e 63d85ef9 0277095c 02770954 fwklo+0xb0138
00e3e6b0 54551603 63d8504d 00e3f8d8 4a969380 fwklo+0xac83e
00e3e804 545512bf 00e3e8ac 00e3e8dc 00e3efec fwklo+0x51603
00e3e83c 56b695ba 02770920 00e3e8ac 00e3e8dc fwklo+0x512bf
00e3e928 472c5885 00e3ecac 00e3f00c 00e3ecb0 comphelpMSC!comphelper::SynchronousDispatch::dispatch+0x27a
00e3f04c 472d37a8 00e3f064 00000000 1c034ac9 sofficeapp+0x25885
00e3f094 472adb87 00e3f4c8 1c034fad 00e3f8d8 sofficeapp+0x337a8
00e3f5f0 472aa45c 1c034c11 00e3f8d8 4a969380 sofficeapp+0xdb87
00e3f64c 472aa3ff 00000000 00e3f670 4b3d4764 sofficeapp+0xa45c
00e3f658 4b3d4764 00e3fec4 00000000 00e3f674 sofficeapp+0xa3ff
00e3f670 4a9154fc 00000000 00000000 00e3f6e8 tllo!Link::Call+0x24
00e3f690 4a9136dd 04c1a060 4a969380 00000000 vcllo!Window::ImplAsyncFocusHdl+0x2b1c
00e3f75c 4a95fd3e 04be1b80 04be1e20 00000016 vcllo!Window::ImplAsyncFocusHdl+0xcfd
00e3f77c 4a96672c 00000016 04c1a060 04be1e20 vcllo!WorkWindow::IsMaximized+0x48d8e
00e3f790 4a9647c6 01d40236 04c1a060 77f5179b vcllo!WorkWindow::IsMaximized+0x4f77c
00e3f810 4a9693e1 01d40236 00000482 00000000 vcllo!WorkWindow::IsMaximized+0x4d816
00e3f860 77f4b6e3 01d40236 00000482 00000000 vcllo!WorkWindow::IsMaximized+0x52431
00e3f88c 77f4b874 4a969380 01d40236 00000482 user32!InternalCallWinProc+0x28
00e3f904 77f4ba92 00000000 4a969380 01d40236 user32!UserCallWinProcCheckWow+0x151
00e3f96c 77f4bad0 00e3f9ac 00000000 00e3f988 user32!DispatchMessageWorker+0x327
00e3f97c 4a91f71d 00e3f9ac 00e3f99c 4a927fe5 user32!DispatchMessageW+0xf
00e3f988 4a927fe5 00e3f9ac 00000000 010165b0 vcllo!WorkWindow::IsMaximized+0x876d
00e3f99c 4a927f2d 00e3f9ac 00006b88 01d40236 vcllo!WorkWindow::IsMaximized+0x11035
00e3f9cc 4a9280e8 00000001 00000000 01016b40 vcllo!WorkWindow::IsMaximized+0x10f7d
00e3f9f4 4a5955ae 00000001 00000000 01e3fa1c vcllo!WorkWindow::IsMaximized+0x11138
00e3fa0c 4a59563f 00000001 00000000 00e3fa2c vcllo!Application::Reschedule+0xae
00e3fa1c 4a5954eb 00000000 4aafdf28 00e3fe60 vcllo!Application::Yield+0xf
00e3fa2c 472a8729 1c03443d 0040437c 000524b1 vcllo!Application::Execute+0x2b
00e3fe60 4a5a09a9 1c054375 020654e0 01016b18 sofficeapp+0x8729
00e3fe98 4a5a0ad3 020654e0 00e3ff04 472d5a3b vcllo!DockingWindow::SetFloatingPos+0x5eb9
00e3fea4 472d5a3b 1c034559 00e3febc 00e3febc vcllo!SVMain+0x23
00e3ff04 004014d9 00e3ff18 00401479 01016188 sofficeapp!soffice_main+0xab
00e3ff0c 00401479 01016188 00e3ff30 004014b8 soffice+0x14d9
00e3ff18 004014b8 00000004 01016188 01016188 soffice+0x1479
00e3ff30 00401f5d 00400000 00000000 000524b1 soffice+0x14b8
00e3ffc0 7c82f23b 00000000 00000000 7ffd4000 soffice+0x1f5d
00e3fff0 00000000 0040213c 00000000 00905a4d kernel32!BaseProcessStart+0x23


FOLLOWUP_IP: 
vcllo!WorkWindow::IsMaximized+f967
4a926917 8b4d08          mov     ecx,dword ptr [ebp+8]

SYMBOL_STACK_INDEX:  1

SYMBOL_NAME:  vcllo!WorkWindow::IsMaximized+f967

FOLLOWUP_NAME:  MachineOwner

MODULE_NAME: vcllo

IMAGE_NAME:  vcllo.dll

DEBUG_FLR_IMAGE_TIMESTAMP:  4f92fc54

STACK_COMMAND:  .cxr 0xe3d980 ; kb

FAILURE_BUCKET_ID:  STATUS_BREAKPOINT_80000003_vcllo.dll!WorkWindow::IsMaximized

BUCKET_ID:  APPLICATION_FAULT_STATUS_BREAKPOINT_vcllo!WorkWindow::IsMaximized+f967

WATSON_STAGEONE_URL:  http://watson.microsoft.com/StageOne/soffice_bin/3_5_3_1/4f92f69e/unknown/0_0_0_0/bbbbbbb4/80000003/00000000.htm?Retriage=1

Followup: MachineOwner
---------
Comment 2 int0x13 2012-06-01 02:16:19 UTC
Created attachment 62366 [details]
Windbg stack trace into the faulting thread into soffice process (!analyze -v)
Comment 3 int0x13 2012-07-05 10:04:02 UTC
*** Bug 51663 has been marked as a duplicate of this bug. ***
Comment 4 int0x13 2012-07-05 10:21:08 UTC
confirmed by duplicate (item https://bugs.freedesktop.org/show_bug.cgi?id=51663)
Comment 5 Mihkel Soomere 2012-07-28 16:30:35 UTC
How about a bump to affected version to make it more noticeable?
Comment 6 Lionel Elie Mamane 2012-07-30 06:41:22 UTC
(In reply to comment #5)
> How about a bump to affected version to make it more noticeable?

No, please, the "version" field is "first affected version", not "latest affected version". If you mislead the developers into thinking that it is newer than it is, you deprive them from an useful way of working, which is "look at the changes between latest unaffected version and first affected version to see what could have caused this bug".

If you have reproduced it with a newer version, by all means, give us that information, by putting in a comment something like "reproduced with LibreOffice VERSION LANGUAGE BUILD-ID on OPERATING_SYSTEM OS_VERSION OS_PLATFORM", replacing the all-caps words by an appropriate value (e.g. "Ubuntu Linux" or "MacOS X" for OPERATING_SYSTEM and "Intel/AMD 32 bits" or "AMD/Intel 64 bits" for OS_PLATFORM).
Comment 7 Lionel Elie Mamane 2012-07-30 11:17:07 UTC
Could be related: Process Monitor shows several "weird" file accesses by LibO. It looks like when trying to access a filename like "\\server\share\some\composed\path", it tries *each* component of the path in the system volume (usually C:), that is it tries:

c:\server
c:\share
c:\some
c:\composed
c:\path

13:09:41,2497067	soffice.bin	5156	CloseFile	C:\	SUCCESS	
13:09:41,2497810	soffice.bin	5156	CreateFile	C:\	SUCCESS	Desired Access: Read Data/List Directory, Synchronize, Disposition: Open, Options: Directory, Synchronous IO Non-Alert, Attributes: n/a, ShareMode: Read, Write, Delete, AllocationSize: n/a, OpenResult: Opened
13:09:41,2498221	soffice.bin	5156	QueryDirectory	C:\help.jar	NO SUCH FILE	Filter: help.jar
13:09:41,2498698	soffice.bin	5156	CloseFile	C:\	SUCCESS	
13:09:41,2500777	soffice.bin	5156	CreateFile	C:\	SUCCESS	Desired Access: Read Data/List Directory, Synchronize, Disposition: Open, Options: Directory, Synchronous IO Non-Alert, Attributes: n/a, ShareMode: Read, Write, Delete, AllocationSize: n/a, OpenResult: Opened
13:09:41,2502299	soffice.bin	5156	CloseFile	C:\	SUCCESS	
13:09:41,2503537	soffice.bin	5156	CreateFile	C:\	SUCCESS	Desired Access: Read Data/List Directory, Synchronize, Disposition: Open, Options: Directory, Synchronous IO Non-Alert, Attributes: n/a, ShareMode: Read, Write, Delete, AllocationSize: n/a, OpenResult: Opened
13:09:41,2504140	soffice.bin	5156	QueryDirectory	C:\srvdc.domain.gestman.lu	NO SUCH FILE	Filter: srvdc.domain.gestman.lu
13:09:41,2504369	soffice.bin	5156	CloseFile	C:\	SUCCESS	
13:09:41,2505364	soffice.bin	5156	CreateFile	C:\	SUCCESS	Desired Access: Read Data/List Directory, Synchronize, Disposition: Open, Options: Directory, Synchronous IO Non-Alert, Attributes: n/a, ShareMode: Read, Write, Delete, AllocationSize: n/a, OpenResult: Opened
13:09:41,2505655	soffice.bin	5156	QueryDirectory	C:\redirects	NO SUCH FILE	Filter: redirects
13:09:41,2505858	soffice.bin	5156	CloseFile	C:\	SUCCESS	
13:09:41,2506428	soffice.bin	5156	CreateFile	C:\	SUCCESS	Desired Access: Read Data/List Directory, Synchronize, Disposition: Open, Options: Directory, Synchronous IO Non-Alert, Attributes: n/a, ShareMode: Read, Write, Delete, AllocationSize: n/a, OpenResult: Opened
13:09:41,2506903	soffice.bin	5156	QueryDirectory	C:\Lionel	NO SUCH FILE	Filter: Lionel
13:09:41,2507107	soffice.bin	5156	CloseFile	C:\	SUCCESS	
13:09:41,2508146	soffice.bin	5156	CreateFile	C:\	SUCCESS	Desired Access: Read Data/List Directory, Synchronize, Disposition: Open, Options: Directory, Synchronous IO Non-Alert, Attributes: n/a, ShareMode: Read, Write, Delete, AllocationSize: n/a, OpenResult: Opened
13:09:41,2508540	soffice.bin	5156	QueryDirectory	C:\AppData	NO SUCH FILE	Filter: AppData
13:09:41,2508834	soffice.bin	5156	CloseFile	C:\	SUCCESS	
13:09:41,2509965	soffice.bin	5156	CreateFile	C:\	SUCCESS	Desired Access: Read Data/List Directory, Synchronize, Disposition: Open, Options: Directory, Synchronous IO Non-Alert, Attributes: n/a, ShareMode: Read, Write, Delete, AllocationSize: n/a, OpenResult: Opened
13:09:41,2510362	soffice.bin	5156	QueryDirectory	C:\Roaming	NO SUCH FILE	Filter: Roaming
13:09:41,2510563	soffice.bin	5156	CloseFile	C:\	SUCCESS	
13:09:41,2511365	soffice.bin	5156	CreateFile	C:\	SUCCESS	Desired Access: Read Data/List Directory, Synchronize, Disposition: Open, Options: Directory, Synchronous IO Non-Alert, Attributes: n/a, ShareMode: Read, Write, Delete, AllocationSize: n/a, OpenResult: Opened
13:09:41,2512672	soffice.bin	5156	QueryDirectory	C:\libreoffice	NO SUCH FILE	Filter: libreoffice
13:09:41,2513161	soffice.bin	5156	CloseFile	C:\	SUCCESS	
13:09:41,2515706	soffice.bin	5156	CreateFile	C:\	SUCCESS	Desired Access: Read Data/List Directory, Synchronize, Disposition: Open, Options: Directory, Synchronous IO Non-Alert, Attributes: n/a, ShareMode: Read, Write, Delete, AllocationSize: n/a, OpenResult: Opened
13:09:41,2516198	soffice.bin	5156	QueryDirectory	C:\3	NO SUCH FILE	Filter: 3
13:09:41,2516416	soffice.bin	5156	CloseFile	C:\	SUCCESS	
13:09:41,2520142	soffice.bin	5156	CreateFile	C:\	SUCCESS	Desired Access: Read Data/List Directory, Synchronize, Disposition: Open, Options: Directory, Synchronous IO Non-Alert, Attributes: n/a, ShareMode: Read, Write, Delete, AllocationSize: n/a, OpenResult: Opened
13:09:41,2520721	soffice.bin	5156	QueryDirectory	C:\user	NO SUCH FILE	Filter: user
13:09:41,2520961	soffice.bin	5156	CloseFile	C:\	SUCCESS	
13:09:41,2521740	soffice.bin	5156	CreateFile	C:\	SUCCESS	Desired Access: Read Data/List Directory, Synchronize, Disposition: Open, Options: Directory, Synchronous IO Non-Alert, Attributes: n/a, ShareMode: Read, Write, Delete, AllocationSize: n/a, OpenResult: Opened
13:09:41,2522193	soffice.bin	5156	QueryDirectory	C:\extensions	NO SUCH FILE	Filter: extensions
13:09:41,2522447	soffice.bin	5156	CloseFile	C:\	SUCCESS	
13:09:41,2523819	soffice.bin	5156	CreateFile	C:\	SUCCESS	Desired Access: Read Data/List Directory, Synchronize, Disposition: Open, Options: Directory, Synchronous IO Non-Alert, Attributes: n/a, ShareMode: Read, Write, Delete, AllocationSize: n/a, OpenResult: Opened
13:09:41,2524439	soffice.bin	5156	QueryDirectory	C:\bundled	NO SUCH FILE	Filter: bundled
13:09:41,2524713	soffice.bin	5156	CloseFile	C:\	SUCCESS	
13:09:41,2527224	soffice.bin	5156	CreateFile	C:\	SUCCESS	Desired Access: Read Data/List Directory, Synchronize, Disposition: Open, Options: Directory, Synchronous IO Non-Alert, Attributes: n/a, ShareMode: Read, Write, Delete, AllocationSize: n/a, OpenResult: Opened
13:09:41,2527724	soffice.bin	5156	QueryDirectory	C:\registry	NO SUCH FILE	Filter: registry
13:09:41,2528294	soffice.bin	5156	CloseFile	C:\	SUCCESS	
13:09:41,2529378	soffice.bin	5156	CreateFile	C:\	SUCCESS	Desired Access: Read Data/List Directory, Synchronize, Disposition: Open, Options: Directory, Synchronous IO Non-Alert, Attributes: n/a, ShareMode: Read, Write, Delete, AllocationSize: n/a, OpenResult: Opened
13:09:41,2530437	soffice.bin	5156	QueryDirectory	C:\com.sun.star.comp.deployment.help.PackageRegistryBackend	NO SUCH FILE	Filter: com.sun.star.comp.deployment.help.PackageRegistryBackend
13:09:41,2530937	soffice.bin	5156	CloseFile	C:\	SUCCESS	
13:09:41,2531943	soffice.bin	5156	CreateFile	C:\	SUCCESS	Desired Access: Read Data/List Directory, Synchronize, Disposition: Open, Options: Directory, Synchronous IO Non-Alert, Attributes: n/a, ShareMode: Read, Write, Delete, AllocationSize: n/a, OpenResult: Opened
13:09:41,2532398	soffice.bin	5156	QueryDirectory	C:\lu1qsnd.tmp	NO SUCH FILE	Filter: lu1qsnd.tmp
13:09:41,2532915	soffice.bin	5156	CloseFile	C:\	SUCCESS	
13:09:41,2533957	soffice.bin	5156	CreateFile	C:\	SUCCESS	Desired Access: Read Data/List Directory, Synchronize, Disposition: Open, Options: Directory, Synchronous IO Non-Alert, Attributes: n/a, ShareMode: Read, Write, Delete, AllocationSize: n/a, OpenResult: Opened
13:09:41,2534429	soffice.bin	5156	QueryDirectory	C:\ts	NO SUCH FILE	Filter: ts
13:09:41,2534630	soffice.bin	5156	CloseFile	C:\	SUCCESS	
13:09:41,2535753	soffice.bin	5156	CreateFile	C:\	SUCCESS	Desired Access: Read Data/List Directory, Synchronize, Disposition: Open, Options: Directory, Synchronous IO Non-Alert, Attributes: n/a, ShareMode: Read, Write, Delete, AllocationSize: n/a, OpenResult: Opened
13:09:41,2536346	soffice.bin	5156	QueryDirectory	C:\help.key_	NO SUCH FILE	Filter: help.key_
13:09:41,2536681	soffice.bin	5156	CloseFile	C:\	SUCCESS
Comment 8 Lionel Elie Mamane 2012-07-30 11:20:41 UTC
Tried again with fresh profile (moved $USER\app data\roaming\LibreOffice\ away). Same result.
Comment 9 bfoman (inactive) 2012-08-23 12:04:42 UTC
*** Bug 53928 has been marked as a duplicate of this bug. ***
Comment 10 Philipp Rath 2012-09-12 21:20:45 UTC
hi,

we have an windows 2008 R2 Domain and the %appdata% is redirectet with group polices to a Network Share. The Clients are Windows XP with latest updates.

Til 3.4.6 this works, after that with all Versions off 3.5 and 3.6 the Programm starts but dit not save the settings.

To reproduce this open a few files and close them, then exit the program and reopen. After this, look at the recent opened files and if the list is empty then the settings are't saved.

If i use a locale profile then it works with 3.5 and 3.6 on the same machine, the only difference is that the %appdata% folder is not redirekted to a network share.
Comment 11 Andras Timar 2012-09-12 21:30:06 UTC
Version field shows the first version where the bug occured.
Comment 12 int0x13 2012-10-09 06:50:19 UTC
Is this bug fixed since all this time?
Comment 13 Mihkel Soomere 2012-10-09 06:55:06 UTC
Nope, still broken.
LO still doesn't start up on XP and fails to save settings or load plugins on W7.
I also added it to most annoying bugs for 3.5 but nothing.
Comment 14 Mihkel Soomere 2012-10-09 15:44:23 UTC
(In reply to comment #13)
> Nope, still broken.
> LO still doesn't start up on XP and fails to save settings or load plugins
> on W7.
> I also added it to most annoying bugs for 3.5 but nothing.

Just tried 3.6.2 on 7, now it refuses to run at all.
Comment 15 cpohle 2012-10-10 13:10:50 UTC
Same problem here (with spellcheck). WinXP and roaming user profile. Spellcheck works as expected for local users.
Comment 16 Petr Mladek 2012-10-22 12:14:10 UTC
I am afraid that this is too specialized that you could not increase the priority via the MABs meta bug => removing the dependency.

Note that if you want to deploy any application in enterprise environments, you need a support contract. You can't expect that community will solve all bugs for free immediately.
Comment 17 Mihkel Soomere 2012-10-22 16:16:10 UTC
That much about being stable enough for conservative corporate users... :)
Actually we do have Novell available but haven't made the switch for their version. I guess we could try out their version and request a fix through them.

As apparent, the bug can manifest in non-enterprise environments as well if user decides to change AppData path. Quite unlikely but possible...
Comment 18 Stephan Bergmann 2012-11-06 15:31:27 UTC
While this issue does not explicitly mention any pathnames containing "$" characters, which appear to be common in combination with roaming profiles on Windows, it might be related in whole or part to bug 55138.
Comment 19 Joel Madero 2013-05-28 18:29:41 UTC
Apologies, no bibisect - windows only
Comment 20 Joel Madero 2014-11-06 21:07:58 UTC
*** Bug 53288 has been marked as a duplicate of this bug. ***
Comment 21 QA Administrators 2015-12-20 16:21:17 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.4 or later)
   https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 

3. Leave a comment with your results. 

4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 

4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-12-20
Comment 22 QA Administrators 2016-05-09 20:08:55 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

This INVALID Message was generated on: 2016-05-09